import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/Home.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView
    },
    {
      path: '/manage',
      name: 'manage.index',
      component: () => import('../views/manage/Index.vue')
    },
    {
      path: '/auth/login',
      name: 'auth.login',
      component: () => import('../views/auth/Login.vue')
    }
  ]
})

router.beforeEach((to, from, next) => {
  console.log(to.name)
  if (to.name === 'auth.login' && localStorage.getItem('token')) {
    next({ name: 'manage.index' })
  } else {
    next()
  }
})

export default router
